Command reference
deployments trace
Hot observability traces and execution trees
| Command | Summary |
|---|---|
deployments trace list | List and filter recent traces |
deployments trace show | Show a finalized trace |
deployments trace spans | Render the spans in an execution trace |
deployments trace for-run | Show the trace containing a run |
deployments trace session | List traces for a session |
deployments trace list
List and filter recent traces.
deployments trace list- Calls
GET /v1/observability/traces(SDKlistObservabilityTraces). - Needs an organization:
--orgor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--from | string | Start of the bounded window (RFC 3339) | ||
--to | string | End of the bounded window (RFC 3339) | ||
--status | string | Terminal trace outcome | ||
--definition | string | Root run agent definition ID | ||
--deployment | string | Root run agent deployment ID | ||
--release | string | Root run agent release ID | ||
--purpose | string | Root run execution purpose: customer, preview, or evaluation | ||
--error-class | string | Trace error class |
Also accepts the global flags.
deployments trace show
Show a finalized trace.
deployments trace show --id <id>- Calls
GET /v1/observability/traces/{traceId}(SDKgetObservabilityTrace). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--id | string | yes | Trace ID |
Also accepts the global flags.
deployments trace spans
Render the spans in an execution trace.
deployments trace spans --id <id>- Calls
GET /v1/observability/traces/{traceId}/spans(SDKlistObservabilityTraceSpans). - Needs an organization:
--orgor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--id | string | yes | Trace ID |
Also accepts the global flags.
deployments trace for-run
Show the trace containing a run.
deployments trace for-run --run <run>- Calls
GET /v1/observability/runs/{runId}/trace(SDKgetObservabilityRunTrace). - Needs an organization:
--orgor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--run | string | yes | Run ID |
Also accepts the global flags.
deployments trace session
List traces for a session.
deployments trace session --session <session>- Calls
GET /v1/observability/sessions/{sessionId}/traces(SDKlistObservabilitySessionTraces). - Needs an organization:
--orgor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--session | string | yes | Session or thread ID | |
--from | string | Start of the bounded window (RFC 3339) | ||
--to | string | End of the bounded window (RFC 3339) | ||
--status | string | Terminal trace outcome | ||
--definition | string | Root run agent definition ID | ||
--deployment | string | Root run agent deployment ID | ||
--release | string | Root run agent release ID | ||
--purpose | string | Root run execution purpose: customer, preview, or evaluation | ||
--error-class | string | Trace error class |
Also accepts the global flags.